<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ChartDataSource (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChartDataSource (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":38,"i1":38,"i2":38,"i3":38,"i4":38};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChartDataSource.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataFactory.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartLegend.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
               target="_top">Frames</a></li>
        <li><a href="ChartDataSource.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.charts</div>
    <h2 title="Interface ChartDataSource" class="title">Interface ChartDataSource&lt;T&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt><span class="paramLabel">Type Parameters:</span></dt>
                    <dd><code>T</code> - type of points the data source contents</dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">use XDDFDataSource instead</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public interface <span class="typeNameLabel">ChartDataSource&lt;T&gt;</span></pre>
                <div class="block">Represents data model of the charts.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html#getFormulaString--">getFormulaString</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns formula representation of the data source.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="type parameter in ChartDataSource">T</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html#getPointAt-int-">getPointAt</a></span>(int&nbsp;index)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns point value at specified index.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html#getPointCount--">getPointCount</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Return number of points contained by data source.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html#isNumeric--">isNumeric</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns <code>true</code> if data source points should be treated
                                        as numbers.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html#isReference--">isReference</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns <code>true</code> if charts data source is valid cell
                                        range.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getPointCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPointCount</h4>
                                <pre>int&nbsp;getPointCount()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Return number of points contained by data source.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of points contained by data source</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPointAt-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPointAt</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
                                        title="type parameter in ChartDataSource">T</a>&nbsp;getPointAt(int&nbsp;index)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns point value at specified index.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - index to value from</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>point value at specified index.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>{@code</code> - IndexOutOfBoundsException} if index
                                        parameter not in range <code>0 &lt;= index &lt;= pointCount</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isReference--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isReference</h4>
                                <pre>boolean&nbsp;isReference()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns <code>true</code> if charts data source is valid cell range.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if charts data source is valid cell range</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isNumeric--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isNumeric</h4>
                                <pre>boolean&nbsp;isNumeric()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns <code>true</code> if data source points should be treated as
                                    numbers.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if data source points should be treated as numbers</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormulaString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFormulaString</h4>
                                <pre>java.lang.String&nbsp;getFormulaString()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns formula representation of the data source. It is only
                                    applicable
                                    for data source that is valid cell range.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>formula representation of the data source</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>{@code</code> - UnsupportedOperationException} if the data source is not a
                                        reference.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ChartDataSource.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartDataFactory.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartLegend.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ChartDataSource.html"
               target="_top">Frames</a></li>
        <li><a href="ChartDataSource.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
